Subject: Re: [EGIT PATCH 00/11] Support customizable label decorations

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 5 Feb 2009 08:06:25 -0800

Tor Arne Vestbø <[email-masked]> wrote:
> This series adds support for customizable label decorations, which
> is usefull for hiding selected decorations, or tweaking the format
> of the decoration text.

Aside from my two remarks about the synchronized collections,
I like it.  There's no display for "added and dirty", aka doing:

  echo a >a; # create a
  git add a
  echo b >>a; # append a and dirty it

This still shows as just "added".  It should be "added and dirty",
as its partially staged.
 
> Known issues are:
> 
>   - If a project has a repository more than one level above the
>     project directory decorations will fail.

I'd like to see this fixed in the near-ish future, but I don't
think its blocking to merging your patches.
 
>   - When a Java resource is dirty, each parent package in the
>     package hierarcy will appear dirty, even when the layout is
>     set to 'flat'.

Bah.  I've seen the Java compiler error marks also report like this.
I don't think its our issue.  But maybe I'm wrong.

-- 
Shawn.